"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.publish = publish;
function publish(config) {
  var runCommand = config.runCommand,
    packagesPaths = config.packagesPaths;
  return function publish(packageName, tag) {
    var cwd = packagesPaths[packageName];
    return runCommand('npm', ['publish', '--tag', tag, '--access', 'public'].concat(process.env.REPO_COOKER_NPM_OTP ? ["--otp=".concat(process.env.REPO_COOKER_NPM_OTP)] : []), {
      cwd: cwd,
      pause: true
    });
  };
}
//# sourceMappingURL=publish.js.map