"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getDependencies = getDependencies;
var _helpers = require("./helpers");
function getDependencies(config) {
  return function getDependencies(name) {
    return (0, _helpers.getPackageInfo)(name, config.packagesPaths[name]).then(function (info) {
      return {
        dependencies: info.dependencies || {},
        devDependencies: info.devDependencies || {},
        peerDependencies: info.peerDependencies || {}
      };
    });
  };
}
//# sourceMappingURL=getDependencies.js.map