"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PackageJsonProvider = PackageJsonProvider;
exports["default"] = void 0;
var _functionTree = require("function-tree");
var _write = require("./write");
var _getDependencies = require("./getDependencies");
var _getRelatedPackages = require("./getRelatedPackages");
var _get = require("./get");
function PackageJsonProvider(config) {
  return new _functionTree.Provider({
    get: (0, _get.get)(config),
    getDependencies: (0, _getDependencies.getDependencies)(config),
    getRelatedPackages: (0, _getRelatedPackages.getRelatedPackages)(config),
    write: (0, _write.write)(config)
  });
}
var _default = exports["default"] = PackageJsonProvider;
//# sourceMappingURL=index.js.map