"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.VSCodeProvider = VSCodeProvider;
exports["default"] = void 0;
var _functionTree = require("function-tree");
var _getCurrentPackageVersion = require("./getCurrentPackageVersion");
var _publish = require("./publish");
var _validateVersion = require("./validateVersion");
function VSCodeProvider(config) {
  return new _functionTree.Provider({
    validateVersion: _validateVersion.validateVersion,
    publish: (0, _publish.publish)(config),
    getCurrentPackageVersion: _getCurrentPackageVersion.getCurrentPackageVersion
  });
}
var _default = exports["default"] = VSCodeProvider;
//# sourceMappingURL=index.js.map