"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.fireworks = fireworks;
exports.fireworksWithTitle = fireworksWithTitle;
var _execCommand = require("../helpers/execCommand");
function fireworks(_ref) {
  var config = _ref.config;
  var isReal = config.runCommand === _execCommand.execCommand;
  var msg = isReal ? 'SUCCESS !!' : 'DRY RUN OK';
  var color = isReal ? '\x1b[32m' : '\x1b[36m';
  console.log("\n".concat(color, "****************\x1B[0m"));
  console.log("".concat(color, "**            **\x1B[0m"));
  console.log("".concat(color, "** ").concat(msg, " **\x1B[0m"));
  console.log("".concat(color, "**            **\x1B[0m"));
  console.log("".concat(color, "****************\x1B[0m"));
}
function fireworksWithTitle(titleOrTag) {
  return function fireWorksWithtitle(_ref2) {
    var config = _ref2.config,
      resolve = _ref2.resolve;
    var title = resolve.value(titleOrTag);
    var isReal = config.runCommand === _execCommand.execCommand;
    var msg = isReal ? 'SUCCESS !!' : 'DRY RUN OK';
    var color = isReal ? '\x1b[32m' : '\x1b[36m';
    var titleSpace = title.replace(/./g, ' ');
    var titleStar = title.replace(/./g, '*');
    console.log(["\n".concat(color, "*").concat(titleStar, "*****************\x1B[0m"), "".concat(color, "** ").concat(titleSpace, "             **\x1B[0m"), "".concat(color, "** ").concat(title, ": ").concat(msg, " **\x1B[0m"), "".concat(color, "** ").concat(titleSpace, "             **\x1B[0m"), "".concat(color, "***").concat(titleStar, "***************\x1B[0m")].join('\n'));
  };
}
//# sourceMappingURL=fireworks.js.map