"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RELEASE_RE = void 0;
exports.getLatestReleaseHash = getLatestReleaseHash;
var RELEASE_RE = exports.RELEASE_RE = /[a-zA-Z_]+\d\d\d\d-\d\d-\d\d_\d\d\d\d/;
function getLatestReleaseHash(_ref) {
  var git = _ref.git;
  return git.getLatestTagMatchingName(RELEASE_RE).then(function (tag) {
    return tag ? {
      hash: tag.hash,
      tag: tag.tag
    } : {
      hash: 'Big Bang'
    };
  });
}
//# sourceMappingURL=getLatestReleaseHash.js.map