"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.builtinSequences = void 0;
var _build = require("./build");
var _checkDependencies = require("./checkDependencies");
var _defaultRelease = require("./defaultRelease");
var _link = require("./link");
var _linkBin = require("./linkBin");
var _run = require("./run");
var builtinSequences = exports.builtinSequences = {
  build: _build.buildSetup,
  checkDependencies: _checkDependencies.checkDependenciesSetup,
  defaultRelease: _defaultRelease.defaultReleaseSetup,
  link: _link.linkSetup,
  linkBin: _linkBin.linkBinSetup,
  run: _run.runSetup
};
//# sourceMappingURL=index.js.map