"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NpmProvider = NpmProvider;
exports["default"] = void 0;
var _functionTree = require("function-tree");
var _getCurrentPackageVersion = require("./getCurrentPackageVersion");
var _publish = require("./publish");
var _replaceTag = require("./replaceTag");
var _runScript = require("./runScript");
function NpmProvider(config) {
  return new _functionTree.Provider({
    publish: (0, _publish.publish)(config),
    getCurrentPackageVersion: _getCurrentPackageVersion.getCurrentPackageVersion,
    replaceTag: (0, _replaceTag.replaceTag)(config),
    runScript: (0, _runScript.runScript)(config)
  });
}
var _default = exports["default"] = NpmProvider;
//# sourceMappingURL=index.js.map