"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.publish = publish;
function publish(config) {
  var runCommand = config.runCommand,
    packagesPaths = config.packagesPaths;
  return function publish(packageName, tag) {
    var cwd = packagesPaths[packageName];
    return runCommand('vsce', ['publish'], {
      cwd: cwd
    });
  };
}
//# sourceMappingURL=publish.js.map