"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.byBranch = byBranch;
function byBranch(_ref) {
  var git = _ref.git,
    path = _ref.path;
  return git.getCurrentBranch().then(function (branch) {
    return path[branch.name] ? path[branch.name]() : path.otherwise();
  });
}
//# sourceMappingURL=byBranch.js.map