"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mapTemporaryNpmTagTo = mapTemporaryNpmTagTo;
var _runAll = require("../helpers/runAll");
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function mapTemporaryNpmTagTo(tagName) {
  return function mapTemporaryNpmTagTo(_ref) {
    var npm = _ref.npm,
      _ref$props = _ref.props,
      temporaryNpmTagByPackage = _ref$props.temporaryNpmTagByPackage,
      newVersionByPackage = _ref$props.newVersionByPackage;
    var packages = Object.keys(temporaryNpmTagByPackage);
    return (0, _runAll.runAll)(packages.map(function (name) {
      return npm.replaceTag(name, newVersionByPackage[name], temporaryNpmTagByPackage[name], tagName);
    })).then(function () {
      return _defineProperty({}, "".concat(tagName, "NpmTagByPackage"), packages.reduce(function (latestNpmTagByPackage, name) {
        latestNpmTagByPackage[name] = tagName;
        return latestNpmTagByPackage;
      }, {}));
    });
  };
}
//# sourceMappingURL=mapTemporaryNpmTagTo.js.map