"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createConfig = createConfig;
var _execCommand = require("./execCommand");
var _getPackagesPaths = require("./getPackagesPaths");
function createConfig(options) {
  // Create possible packages paths
  var packagesPaths = (0, _getPackagesPaths.getPackagesPaths)(options.path, options.packagesGlobs);
  var runCommand = options.dryRun === true ? _execCommand.logCommand : typeof options.dryRun === 'function' ? options.dryRun : _execCommand.execCommand;
  return Object.assign({}, options, {
    packagesPaths: packagesPaths,
    runCommand: runCommand
  });
}
//# sourceMappingURL=createConfig.js.map