"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultReleaseSetup = exports.defaultReleaseSequence = void 0;
var cook = _interopRequireWildcard(require("../actions"));
var _execCommand = require("../helpers/execCommand");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var publishToGithub = [cook.tagCurrentCommit, cook.pushTagToRemote, cook.byReleaseTarget, {
  github: cook.createGithubRelease
}];
var defaultReleaseSequence = exports.defaultReleaseSequence = [
// Make sure the release target is valid before running anything.
cook.byReleaseTarget, {
  github: []
}, cook.getLatestReleaseHash, cook.getHistoryFromHash, cook.getRawCommitsFromHistory, cook.parseCommits, cook.groupCommitsByPackage, cook.evaluateSemverByPackage, cook.relatedPackagesByPackage, cook.getCurrentVersionByPackage, cook.evaluateNewVersionByPackage, cook.filter('newVersionByPackage', function (key, _, _ref) {
  var packageJson = _ref.packageJson;
  return packageJson.get(key).then(function (info) {
    return !info["private"];
  });
}), cook.byBranch, {
  next: cook.remap('newVersionByPackage', function (_, version) {
    return "".concat(version, "-").concat(Date.now());
  }),
  canary: cook.remap('newVersionByPackage', function (_, version) {
    return "".concat(version, "-").concat(Date.now());
  }),
  otherwise: []
}, cook.writeVersionsToPackages, cook.build, cook.publishByType, cook.byBranch, {
  master: cook.mapTemporaryNpmTagTo('latest'),
  main: cook.mapTemporaryNpmTagTo('latest'),
  next: cook.mapTemporaryNpmTagTo('next'),
  canary: cook.mapTemporaryNpmTagTo('canary'),
  otherwise: []
}, cook.restoreRepository, cook.createReleaseNotes('avatar'), cook.byBranch, {
  master: publishToGithub,
  main: publishToGithub,
  otherwise: [function (_ref2) {
    var git = _ref2.git;
    return git.getCurrentBranch().then(function (branch) {
      (0, _execCommand.logCommand)('skip github release', [], {
        branch: branch.name
      });
    });
  }]
}, cook.fireworksWithTitle('default release')];
var defaultReleaseSetup = exports.defaultReleaseSetup = {
  name: 'defaultRelease',
  sequence: defaultReleaseSequence
};
//# sourceMappingURL=defaultRelease.js.map